Summary: Camel is a library that lets you describe how to serialize your objects to YAML
Name: python-camel
Version: 0.1.1
Release: 1%{?dist}
URL: https://github.com/eevee/camel
License: ISCL
Source0: https://github.com/eevee/camel/archive/v%{version}.tar.gz#/camel-%{version}.tar.gz
BuildArch: noarch
BuildRequires: python
BuildRequires: python-devel
BuildRequires: python-setuptools
BuildRequires: python2-pytest
BuildRequires: python3
BuildRequires: python3-devel
BuildRequires: python3-setuptools
BuildRequires: python3-pytest
Requires: PyYAML

%description
Camel is a Python serialization library that forces you to explicitly describe how to dump or load your types.

%package -n python3-camel
Summary: Camel is a library that lets you describe how to serialize your objects to YAML
Requires: python3-PyYAML

%description -n python3-camel
Camel is a Python serialization library that forces you to explicitly describe how to dump or load your types.

%prep
%autosetup -n camel-%{version}

%build
%py2_build
%py3_build

%install
# Must do the python2 install first because the scripts in /usr/bin are
# overwritten with every setup.py install, and in general we want the
# python3 version to be the default.
# If, however, we're installing separate executables for python2 and python3,
# the order needs to be reversed so the unversioned executable is the python2 one.
%py2_install
%py3_install

%check
%{__python2} setup.py test
%{__python3} setup.py test

%files
%defattr(-,root,root,-)
%doc LICENSE README.*
%{python_sitelib}/*

%files -n python3-camel
%defattr(-,root,root,-)
%doc LICENSE README.*
%{python3_sitelib}/*

%changelog
* Wed May 17 2017 Thomas Woerner <twoerner@redhat.com> - 0.1.1-1
- Initial package
